Bug 243536 - databases/mysql80-server pkg-message prompts for mysql_upgrade which is deprecated
Summary: databases/mysql80-server pkg-message prompts for mysql_upgrade which is depre...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-23 08:20 UTC by Panthera
Modified: 2020-03-06 08:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (joneum)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Panthera 2020-01-23 08:20:26 UTC
When upgrading mysql-server80, the following message is displayed:

On upgrade:
Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.


When running mysql_upgrade, the following message is displayed:
The mysql_upgrade client is now deprecated. The actions executed by the upgrade client are now done by the server.
To upgrade, please start the new MySQL binary with the older data directory. Repairing user tables is done automatically. Restart is not required after upgrade.
The upgrade process automatically starts on running a new MySQL binary with an older data directory. To avoid accidental upgrades, please use the --upgrade=NONE option with the MySQL binary. The option --upgrade=FORCE is also provided to run the server upgrade sequence on demand.
It may be possible that the server upgrade fails due to a number of reasons. In that case, the upgrade sequence will run again during the next MySQL server start. If the server upgrade fails repeatedly, the server can be started with the --upgrade=MINIMAL option to start the server without executing the upgrade sequence, thus allowing users to manually rectify the problem.



I hope I am understanding the message correctly that no action is needed when upgrading ("The upgrade process automatically starts on running a new MySQL binary with an older data directory."). If I'm reading this right, the upgrade note could be dropped from pkg-message.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-25 03:06:56 UTC
^Triage: Assign to new maintainer (ports r523992)
Comment 2 Jochen Neumeister freebsd_committer 2020-03-04 19:51:56 UTC
https://dev.mysql.com/doc/refman/8.0/en/mysql-upgrade.html

running "mysql_upgrade" is no longer necessary since version 8.0.16. I will correct this at times. Thanks for the hint :-)
Comment 3 Jochen Neumeister freebsd_committer 2020-03-06 08:21:30 UTC
Sorry. Forgot to mention the PR in the commit. Done in r527863